# tab-separated file of the samples
samples: samples.tsv

# pipeline file locations
result_dir: ./results  # where to store results
genome_dir: /ceph/rimlsfnwi/web_share/mbdata/siebrenf/GRCh37/
fastq_dir: /ceph/rimlsfnwi/data/moldevbio/heeringen/siebrenf/ghe_2021/fastq/


# contact info for multiqc report and trackhub
email: yourmail@here.com

# produce a UCSC trackhub?
create_trackhub: true

# how to handle replicates
technical_replicates: merge    # change to "keep" to not combine them

# which trimmer to use
trimmer: fastp

# which quantifier to use
quantifier: salmon  # or htseq or featurecounts

# which aligner to use (not used for the gene counts matrix if the quantifier is Salmon)
aligner: star

# filtering after alignment (not used for the gene counts matrix if the quantifier is Salmon)
markduplicates: -Xms4G -Xmx6G MAX_FILE_HANDLES_FOR_READ_ENDS_MAP=999  # keep duplicates (check dupRadar in the MultiQC)
remove_blacklist: true
min_mapping_quality: 255  # (only keep uniquely mapped reads from STAR alignments)
only_primary_align: true

# differential gene expression analysis
contrasts:
  - 'supernatant_TA_DMSO'
  - 'adherent_TA_DMSO'
  - 'day19_adherent_supernatant'
